Commit ed943710 authored by mark's avatar mark

Update adios tutorials, files were also missing

parent a09f253d
......@@ -9,8 +9,8 @@ targetType=libso
exit 1
}
[ -d src ] && src/Allwmake $targetType $*
src/hasAdios || exit 1
src/Allwmake $targetType $*
# [ -d applications ] && applications/Allwmake $targetType $*
......
#!/bin/sh
cd ${0%/*} || exit 1 # run from this directory
targetType=libso
. $WM_PROJECT_DIR/wmake/scripts/AllwmakeParseArguments
cd ${0%/*} || exit 1 # Run from this directory
#
# Check prerequisites
hasAdios()
{
[ "${ADIOS_ARCH_PATH##*-}" = none ] && {
echo "Building ADIOS components disabled"
return 1
}
adiosFoam/Allwmake
functionObjects/Allwmake
[ -f "$ADIOS_ARCH_PATH/include/adios.h" ] || \
[ "${ADIOS_ARCH_PATH##*-}" = system -a -f "/usr/include/adios.h" ] || {
echo
echo "WARNING: cannot build ADIOS components without headers"
echo " missing headers"
echo
return 1
}
[ -r "$ADIOS_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libadios_${FOAM_MPI}.a" ] || {
echo
echo "WARNING: cannot build ADIOS components"
echo " missing library for $FOAM_MPI"
echo
return 1
}
return 0 # success?
}
if hasAdios
then
adiosFoam/Allwmake $targetType $*
functionObjects/Allwmake $targetType $*
fi
# ----------------------------------------------------------------- end-of-file
# -----------------------------------------------------------------------------
#!/bin/sh
cd ${0%/*} || exit 1 # run from this directory
targetType=libso
. $WM_PROJECT_DIR/wmake/scripts/AllwmakeParseArguments
#
# Check prerequisites
hasAdios()
{
[ "${ADIOS_ARCH_PATH##*-}" = none ] && {
echo "Building ADIOS components disabled"
return 1
}
[ -f "$ADIOS_ARCH_PATH/include/adios.h" ] || \
[ "${ADIOS_ARCH_PATH##*-}" = system -a -f "/usr/include/adios.h" ] || {
echo
echo "WARNING: cannot build ADIOS components without headers"
echo " missing headers"
echo
return 1
}
[ -r "$ADIOS_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libadios_${FOAM_MPI}.a" ] || {
echo
echo "WARNING: cannot build ADIOS components"
echo " missing library for $FOAM_MPI"
echo
return 1
}
return 0 # success?
}
if hasAdios
if ../hasAdios
then
wmake $targetType
wmake libso
else
echo
echo "Skipping adiosFoam library"
echo
fi
# ----------------------------------------------------------------- end-of-file
# -----------------------------------------------------------------------------
#!/bin/sh
cd ${0%/*} || exit 1 # run from this directory
targetType=libso
. $WM_PROJECT_DIR/wmake/scripts/AllwmakeParseArguments
#
# Check prerequisites
hasAdios()
{
[ "${ADIOS_ARCH_PATH##*-}" = none ] && {
echo "Building ADIOS components disabled"
return 1
}
[ -f "$ADIOS_ARCH_PATH/include/adios.h" ] || \
[ "${ADIOS_ARCH_PATH##*-}" = system -a -f "/usr/include/adios.h" ] || {
echo
echo "WARNING: cannot build ADIOS components without headers"
echo " missing headers"
echo
return 1
}
[ -r "$ADIOS_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libadios_${FOAM_MPI}.a" ] || {
echo
echo "WARNING: cannot build ADIOS components"
echo " missing library for $FOAM_MPI"
echo
return 1
}
return 0 # success?
}
if hasAdios
if ../hasAdios
then
# extra compile/link options
adiosFoam=$(cd ../adiosFoam && pwd -P)
......@@ -41,7 +9,7 @@ then
export ADIOS_EXTRA_COMP="-I$adiosFoam/lnInclude"
export ADIOS_EXTRA_LINK='-L$(FOAM_USER_LIBBIN) -ladiosFoam'
wmake $targetType adios
wmake adios
fi
# ----------------------------------------------------------------- end-of-file
# -----------------------------------------------------------------------------
#!/bin/sh
# Check if the prerequisites for ADIOS are fulfilled
# exit 0 on success
if [ "${ADIOS_ARCH_PATH##*-}" = none ]
then
echo "Building ADIOS components disabled"
exit 1
fi
if [ -z "$ADIOS_ARCH_PATH" ]
then
/bin/cat<<ERROR 1>&2
==================================================
ERROR: the ADIOS_ARCH_PATH variable is not set
You define by hand, or trying the following
foamEtcFile -q config.sh/ADIOS && . \$(foamEtcFile config.sh/ADIOS)
==================================================
ERROR
exit 1
fi
[ -f "$ADIOS_ARCH_PATH/include/adios.h" ] || \
[ "${ADIOS_ARCH_PATH##*-}" = system -a -f "/usr/include/adios.h" ] || {
/bin/cat<<WARNING 1>&2
==================================================
WARNING: cannot build ADIOS components without headers
"$ADIOS_ARCH_PATH/include/adios.h"
or
"/usr/include/adios.h"
Do you need to use the ThirdParty 'makeADIOS'?
==================================================
WARNING
exit 1
}
if [ -r "$ADIOS_ARCH_PATH/lib$WM_COMPILER_LIB_ARCH/libadios_${FOAM_MPI}.a" ]
then
echo "Has ADIOS_ARCH_PATH with headers and libraries ($FOAM_MPI)" 1>&2
else
/bin/cat<<WARNING 1>&2
==================================================
WARNING: cannot build ADIOS components without libraries
missing library for '$FOAM_MPI'
Do you need to use the ThirdParty 'makeADIOS'?
==================================================
WARNING
exit 1
fi
# -----------------------------------------------------------------------------
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
object T;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 0 0 1 0 0 0];
internalField uniform 300;
boundaryField
{
".*"
{
type calculated;
value uniform 300;
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volVectorField;
object U;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [0 1 -1 0 0 0 0];
internalField uniform (0.01 0 0);
boundaryField
{
".*"
{
type calculated;
value uniform (0.01 0 0);
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0/bottomWater";
object T;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 0 0 0 1 0 0 0 ];
internalField uniform 300;
boundaryField
{
minX
{
type fixedValue;
value uniform 300;
}
maxX
{
type inletOutlet;
value uniform 300;
inletValue uniform 300;
}
minY
{
type zeroGradient;
value uniform 300;
}
minZ
{
type zeroGradient;
value uniform 300;
}
maxZ
{
type zeroGradient;
value uniform 300;
}
bottomWater_to_rightSolid
{
type compressible::turbulentTemperatureCoupledBaffleMixed;
value uniform 300;
Tnbr T;
kappaMethod fluidThermo;
}
bottomWater_to_leftSolid
{
type compressible::turbulentTemperatureCoupledBaffleMixed;
value uniform 300;
Tnbr T;
kappaMethod fluidThermo;
}
bottomWater_to_heater
{
type compressible::turbulentTemperatureCoupledBaffleMixed;
value uniform 300;
Tnbr T;
kappaMethod fluidThermo;
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volVectorField;
location "0/bottomWater";
object U;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 0 1 -1 0 0 0 0 ];
internalField uniform ( 0.001 0 0 );
boundaryField
{
minX
{
type fixedValue;
value uniform ( 0.001 0 0 );
}
maxX
{
type inletOutlet;
value uniform ( 0.01 0 0 );
inletValue uniform ( 0 0 0 );
}
minY
{
type fixedValue;
value uniform ( 0 0 0 );
}
minZ
{
type fixedValue;
value uniform ( 0 0 0 );
}
maxZ
{
type fixedValue;
value uniform ( 0 0 0 );
}
bottomWater_to_rightSolid
{
type fixedValue;
value uniform ( 0 0 0 );
}
bottomWater_to_leftSolid
{
type fixedValue;
value uniform ( 0 0 0 );
}
bottomWater_to_heater
{
type fixedValue;
value uniform ( 0 0 0 );
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0/bottomWater";
object epsilon;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 0 2 -3 0 0 0 0 ];
internalField uniform 0.01;
boundaryField
{
minX
{
type fixedValue;
value uniform 0.01;
}
maxX
{
type inletOutlet;
value uniform 0.01;
inletValue uniform 0.01;
}
minY
{
type epsilonWallFunction;
value uniform 0.01;
}
minZ
{
type epsilonWallFunction;
value uniform 0.01;
}
maxZ
{
type epsilonWallFunction;
value uniform 0.01;
}
bottomWater_to_rightSolid
{
type epsilonWallFunction;
value uniform 0.01;
}
bottomWater_to_leftSolid
{
type epsilonWallFunction;
value uniform 0.01;
}
bottomWater_to_heater
{
type epsilonWallFunction;
value uniform 0.01;
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0/bottomWater";
object k;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 0 2 -2 0 0 0 0 ];
internalField uniform 0.1;
boundaryField
{
minX
{
type inletOutlet;
value uniform 0.1;
inletValue uniform 0.1;
}
maxX
{
type zeroGradient;
value uniform 0.1;
}
minY
{
type kqRWallFunction;
value uniform 0.1;
}
minZ
{
type kqRWallFunction;
value uniform 0.1;
}
maxZ
{
type kqRWallFunction;
value uniform 0.1;
}
bottomWater_to_rightSolid
{
type kqRWallFunction;
value uniform 0.1;
}
bottomWater_to_leftSolid
{
type kqRWallFunction;
value uniform 0.1;
}
bottomWater_to_heater
{
type kqRWallFunction;
value uniform 0.1;
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0/bottomWater";
object p;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 1 -1 -2 0 0 0 0 ];
internalField uniform 0;
boundaryField
{
minX
{
type calculated;
value uniform 0;
}
maxX
{
type calculated;
value uniform 0;
}
minY
{
type calculated;
value uniform 0;
}
minZ
{
type calculated;
value uniform 0;
}
maxZ
{
type calculated;
value uniform 0;
}
bottomWater_to_rightSolid
{
type calculated;
value uniform 0;
}
bottomWater_to_leftSolid
{
type calculated;
value uniform 0;
}
bottomWater_to_heater
{
type calculated;
value uniform 0;
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile
{
version 2.0;
format ascii;
class volScalarField;
location "0/bottomWater";
object p_rgh;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
dimensions [ 1 -1 -2 0 0 0 0 ];
internalField uniform 0;
boundaryField
{
minX
{
type zeroGradient;
value uniform 0;
}
maxX
{
type fixedValue;
value uniform 0;
}
minY
{
type fixedFluxPressure;
value uniform 0;
}
minZ
{
type fixedFluxPressure;
value uniform 0;
}
maxZ
{
type fixedFluxPressure;
value uniform 0;
}
bottomWater_to_rightSolid
{
type fixedFluxPressure;
value uniform 0;
}
bottomWater_to_leftSolid
{
type fixedFluxPressure;
value uniform 0;
}
bottomWater_to_heater
{
type fixedFluxPressure;
value uniform 0;
}
}
// ************************************************************************* //
/*--------------------------------*- C++ -*----------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: plus |
| \\ / A nd | Web: www.OpenFOAM.com |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
FoamFile